﻿<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
		<title>Conversion Methods</title>
    </head>
    <body>
    <p>The AsInt() converter</p>
    @Code
        Dim myIntNumber = 0 
        Dim myStringNum = "539"
        If myStringNum.IsInt() Then
            myIntNumber = myStringNum.AsInt() 
        End If
    End Code
    <p>Output = @myIntNumber</p>
    <hr />
    <p>The AsBool() converter</p>
    @Code
        Dim myStringBool = "True"
        Dim myVar = myStringBool.AsBool()
    End Code
    <p>Output = @myVar</p>
    <hr />
    <p>The AsFloat() converter</p>
    @Code
        Dim myStringFloat = "41.432895"
        Dim myFloatNum = myStringFloat.AsFloat()
    End Code
    <p>Output = @myFloatNum</p>
    <hr />
    <p>The AsDecimal() converter</p>
    @Code
        Dim myStringDec = "10317.425"
        Dim myDecNum = myStringDec.AsDecimal()
    End Code
    <p>Output = @myDecNum</p>
    <hr /> 
    <p>The AsDateTime() converter</p>
    @Code
        Dim myDateString = "12/27/2010"
        Dim newDate = myDateString.AsDateTime()
    End Code
    <p>Output = @newDate</p>
    <hr />    
    <p>The ToString() converter</p>
    @Code
        Dim num1 As Integer = 17 
        Dim num2 As Integer = 76 
        
        ' myString is set to 1776 
        Dim myString as String = num1.ToString() & num2.ToString()      
    End Code
    <p>Output = @myString</p>
    <hr />  


    </body>
</html>
