﻿<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
		<title>Working with File and Folder Paths</title>
	</head>
	<body>
        
    @Code 
        Dim myImagesFolder = "~/images"
        Dim myStyleSheet = "~/styles/StyleSheet.css"       
    End Code

    @Code 
        Dim dataFilePath = "~/dataFile.txt" 
    End Code     
    
    <!-- Displays a physical path C:\Websites\MyWebSite\datafile.txt  --> 
    <p>@Server.MapPath(dataFilePath)</p>
        
    <!-- This code creates the path "../images/Logo.jpg" in the src attribute. -->
    <img src="@Href(myImagesFolder)/Logo.jpg" /> 
    
    <!--  This produces the same result, using a path with ~  -->  
    <img src="@Href("~/images")/Logo.jpg" /> 
    
    <!--  This creates a link to the CSS file. -->  
    <link rel="stylesheet" type="text/css" href="@Href(myStyleSheet)" />

        
	</body>
</html>