<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<title>White space and Line Breaks</title>
	</head>
<body>

    <!-- Extra white space does not affect the code. -->
    @Code Dim personName =    "Smith"    End Code
    
    <!-- Line breaks do not affect the code. You can use the VB 
         _ character to continue long lines. 
    -->
    @Code 
        Dim familyName _ 
        =  "Smith" 
    End Code 
    
    @Code 
        Dim _ 
        theName _ 
        = _ 
        "Smith"
    End Code

    <!-- You cannot break a continuous string across lines. 
         This requires the & (concatenation) chararacter.
    -->
    @Code 
        ' If you uncomment this code, it fails because it 
        ' tries to break a string across lines.
        ' Dim test = "This is a long _
        ' string"
    End Code

</body>
</html>